### Method

# Ide Frame addin_find_by_module_name

#### Declaration

    IdeFrameAddin*
    ide_frame_addin_find_by_module_name (
      IdeFrame* frame,
      const gchar* module_name
    )

#### Description

This function will locate the `IdeFrameAddin` that was registered by the plugin named `module_name` (which should match the “Module” field provided in the .plugin file).

If no module was found or that module does not implement the `IdeFrameAddinInterface`, then `NULL` is returned.

Available since: | 3.32

#### Parameters

`module_name` | `const gchar*`
| The module name which provides the addin.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeFrameAddin`
| An `IdeFrameAddin` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.